Module | Locale::SystemCGI
In: | lib/locale/cgi.rb

Locale::System module for CGI. This is a low-level class. Application shouldn‘t use this directly.

### Methods

cgi cgi= default_locale set_cgi system

### Public Instance methods

cgi()

Gets the CGI object. If it is nil, returns new CGI object.

- Returns: the CGI object

cgi=(cgi_)

Sets a CGI object.

- cgi_: CGI object
- Returns: cgi_

default_locale()

Gets the default Locale::Object.

- Returns: the default locale

set_cgi(cgi_)

Sets a CGI object.

- cgi_: CGI object
- Returns: self

system()

Gets the default locale using setlocale and nl_langinfo.

- Returns the system locale (Locale::Object).

[Validate]